<?xml version="1.0" encoding="UTF-8" standalone="no"?><dsa xmlns="http://www.coco-cloud.eu/dsa" encryption-key-schema="organization_default_scheme" governing-law="" id="DSA-5b8fab57-86a1-41d2-890b-18d2dec50ee6.xml" indemnities="" purpose="Data Breaches Notification" status="AVAILABLE" title="00_WP5 - Obl CompanyX vxCompanyY Voc3.2" user-consent="false" version="2" vocabulary-url="https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#">
  <description/>
  <expirationPolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </expirationPolicy>
  <revocationPolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </revocationPolicy>
  <updatePolicy periodInDays="0">
    <complexPolicy>DenyAll</complexPolicy>
  </updatePolicy>
  <parties>
    <organization id="EMPTY_ORG_1532609096663" name="Unknown Organization" responsibilities="" role="data-controller"/>
  </parties>
  <validity>
    <startDate>2018-07-26+02:00</startDate>
    <endDate>2020-03-31+02:00</endDate>
    <offlineLicencesDuration>P1D</offlineLicencesDuration>
  </validity>
  <data>
    <datum id="DATUM_X_6" value="">
      <expression language="CNL4DSA">?X_6 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#OtherData&gt;</expression>
    </datum>
    <datum id="DATUM_X_8" value="">
      <expression language="CNL4DSA">?X_8 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Name&gt;</expression>
    </datum>
    <datum id="DATUM_X_4" value="">
      <expression language="CNL4DSA">?X_4 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Organisation&gt;</expression>
    </datum>
    <datum id="DATUM_X_2" value="">
      <expression language="CNL4DSA">?X_2 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Data&gt;</expression>
    </datum>
    <datum id="DATUM_X_3" value="">
      <expression language="CNL4DSA">?X_3 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet&gt;</expression>
    </datum>
    <datum id="DATUM_X_9" value="">
      <expression language="CNL4DSA">?X_9 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#System&gt;</expression>
    </datum>
    <datum id="DATUM_X_7" value="">
      <expression language="CNL4DSA">?X_7 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Organisation&gt;</expression>
    </datum>
    <datum id="DATUM_X_5" value="CompanyX">
      <expression language="CNL4DSA">?X_5 is-a &lt;https://dsamgrc3isp.iit.cnr.it:8443/vocabularies/c3isp_vocabulary_3.2.owl#Name&gt;</expression>
    </datum>
  </data>
  <obligations>
    <obligation conflict="false" id="OBLIGATION_1" index="0" inputValue="?X_5:Name=CompanyX" isPendingRule="true" isProtected="false" statementInfo="EncryptIPWithTransciphering{param=src option=}">
      <expression issuer="Policy Expert" language="CNL_4_DSA_E">if ?X_2:Data belongsTo ?X_3:AnalysisSet and ?X_2 hasOwner ?X_4:Organisation and ?X_4 hasName ?X_5:Name and ?X_6:OtherData belongsTo ?X_3 and ?X_6 hasOwner ?X_7:Organisation and ?X_7 hasName ?X_8:Name then ?X_9:System must EncryptIPWithTransciphering ?X_2</expression>
      <expression issuer="Policy Expert" language="UPOL"><![CDATA[<?xml version="1.0" encoding="UTF-8"?>
<Rule Effect="Permit" RuleId="OBLIGATION_1">
<Target>
<AnyOf>
<AllOf>
<Match MatchId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">EncryptIPWithTransciphering</AttributeValue>
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:action" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Match>
</AllOf>
</AnyOf>
</Target>
<Condition DecisionTime="pre">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:belongs-to" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AnalysisSet</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-owner" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Organisation</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:organisation:organisation-name" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:organisation" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Name</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:belongs-to" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AnalysisSet</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-owner" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Organisation</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:organisation:organisation-name" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:organisation" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Name</AttributeValue>
</Apply>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:access-purpose" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Data Breaches Notification</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-classification" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Highly Confidential</AttributeValue>
</Apply>
</Apply>
</Condition>
<ObligationExpressions>
<ObligationExpression FulfillOn="Deny" ObligationId="EncryptIPWithTransciphering%7Bparam%3Dsrc+option%3D%7D"/>
</ObligationExpressions>
<ObligationsSet>
<Obligation>
<TriggersSet>
<TriggerRuleEvaluated FulfillOn="Permit"/>
</TriggersSet>
<EncryptIPWithTransciphering/>
</Obligation>
</ObligationsSet>
<Condition DecisionTime="ongoing">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:and">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:belongs-to" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AnalysisSet</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-owner" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Organisation</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:organisation:organisation-name" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:organisation" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Name</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:belongs-to" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">AnalysisSet</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-owner" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Organisation</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:organisation:organisation-name" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:organisation" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Name</AttributeValue>
</Apply>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:subject:access-purpose" Category="urn:oasis:names:tc:xacml:1.0:subject-category:access-subject" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Data Breaches Notification</AttributeValue>
</Apply>
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-equal">
<Apply FunctionId="urn:oasis:names:tc:xacml:1.0:function:string-one-and-only">
<AttributeDesignator AttributeId="urn:oasis:names:tc:xacml:3.0:resource:resource-classification" Category="urn:oasis:names:tc:xacml:3.0:attribute-category:resource" DataType="http://www.w3.org/2001/XMLSchema#string" MustBePresent="true"/>
</Apply>
<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#string">Highly Confidential</AttributeValue>
</Apply>
</Apply>
</Condition>
</Rule>
]]></expression>
      <expression issuer="Policy Expert" language="UserText">IF a Data belongsTo a AnalysisSet AND that Data hasOwner a Organisation AND that Organisation hasName a Name AND a OtherData belongsTo that AnalysisSet AND that OtherData hasOwner a Organisation AND that Organisation hasName a Name THEN a System MUST EncryptIPWithTransciphering that Data</expression>
      <expression issuer="Policy Expert" language="CNL4DSA">if  belongsTo(?X_2,?X_3)  and  hasOwner(?X_2,?X_4)  and  hasName(?X_4,?X_5)  and  belongsTo(?X_6,?X_3)  and  hasOwner(?X_6,?X_7)  and  hasName(?X_7,?X_8)  then  must [?X_9, EncryptIPWithTransciphering, ?X_2]</expression>
    </obligation>
  </obligations>
  <dataClassification>Highly Confidential</dataClassification>
  <consentRequired>false</consentRequired>
</dsa>